#!/bin/bash

echo "Used machine is $(uname -a)"
echo "Selected GPU is _CONDOR_Assignedgpus = '${_CONDOR_Assignedgpus}'"

BUILD_DIR="build_$(uname -n)"

if [ -d $BUILD_DIR ]
then
    	echo "Remove existing directory $BUILD_DIR"
        rm -fr $BUILD_DIR
fi

mkdir -p $BUILD_DIR
cd $BUILD_DIR

EXTRA_OPTION=""
if [ ! -z ${_CONDOR_Assignedgpus} ]
then
	EXTRA_OPTION="-DSELECTED_GPU=${_CONDOR_Assignedgpus}"
fi

cmake3 .. -DCMAKE_CXX_COMPILER=/opt/rh/devtoolset-7/root/usr/bin/x86_64-redhat-linux-g++ ${EXTRA_OPTION}
make

./test_cuda_capabilities


